SAP Knowledge Base Article - Preview

2644871 - SAPCAR rc=127 when executing the db6_update_client.sh script

Symptom

You're executing the "db6_update_client.sh" script to update your Db2 CLI/JDBC Client driver(s) and the following error is reported:

./db6_update_client.sh -u
*********************************************************
* this is db6_update_client.sh script version 0009       *
*********************************************************
determined current OS where script is executed: LINUXX86_64
source path: /mnt/backup/fp11/51050369/CLIENT
target path: /usr/sap/PEQ/SYS/global/db6
#***************************************************************************#
# updating existing CLI drivers
#***************************************************************************#
directory /usr/sap/PEQ/SYS/global/db6/LINUXX86_64/db6_clidriver does exist, deleting...
creating directory /usr/sap/PEQ/SYS/global/db6/LINUXX86_64/db6_clidriver
copying new CLI driver to /usr/sap/PEQ/SYS/global/db6/LINUXX86_64/db6_clidriver
/mnt/backup/fp11/51050369/CLIENT/LINUXX86_64/SAPCAR: error while loading shared libraries: libstdc++.so.5: cannot open shared object file: No such file or directory
An error occured during extraction of CLI driver, SAPCAR rc=127

It's apparent from the error that the SAPCAR binary delivered with the DB2 CLI/JDBC driver installation is unable to locate required Linux shared library libstdc++.so.5.  You confirm this with the Unix/Linux "ldd" command:

cd /tmp/fp11/51050369/CLIENT/LINUXX86_64
ls
total 39152
-rwxrwxrwx. 1 db2peq dbpeqadm 26915404 Oct 14  2015 clidriver.SAR
-rwxrwxrwx. 1 db2peq dbpeqadm  1515229 Oct 14  2015 gskcrypt64-8.0.50.47.linuxx64.rpm
-rwxrwxrwx. 1 db2peq dbpeqadm  8252010 Oct 14  2015 gskssl64-8.0.50.47.linuxx64.rpm
-rwxrwxrwx. 1 db2peq dbpeqadm  3400235 Oct 14  2015 SAPCAR

ldd SAPCAR
linux-vdso.so.1 =>  (0x00007fff423bc000)
libdl.so.2 => /lib64/libdl.so.2 (0x00000033b6800000)
librt.so.1 => /lib64/librt.so.1 (0x00000033b7400000)
libstdc++.so.5 => not found
libm.so.6 => /lib64/libm.so.6 (0x00000033b7800000)
libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00000033c3400000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00000033b7000000)
libc.so.6 => /lib64/libc.so.6 (0x00000033b6c00000)
/lib64/ld-linux-x86-64.so.2 (0x00000033b6400000)


Read more...

Environment

SAP Netweaver
DB2 LUW
Linux/Unix

Product

SAP NetWeaver Application Server all versions

Keywords

ODBC fixpack upgrade DB2 Connect , KBA , BC-DB-DB6 , DB2 Universal Database for Unix / NT , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.